import es
import playerlib

info = es.AddonInfo()
info.version = "1.1"
info.author = "Sit Down Son"
info.name = "Sit Down Son ~ No Block"
info.url = ""
info.date = "2013.06.03"

#Make Players already playing free from blocks from other players.
def load():
	#Get a list of all userID's.
	List = playerlib.getUseridList('#all')
	
	#Set the players CollisionGroup to COLLISION_GROUP_DEBRIS which colliders with nothing,
	#if you want to collide with triggers, use 3.
	for UserID in List:
		es.setplayerprop(UserID, "CBaseEntity.m_CollisionGroup", 2)

#Make a player free from blocks again on every respawn.
#Every respawn is a new Player object and thus it's properties need to be changed.
def player_spawn(event):
	es.setplayerprop(event['userid'], "CBaseEntity.m_CollisionGroup", 2)

#Make players bound to blocking again by setting then to COLLISION_GROUP_PLAYER again.
def unload():
	List = playerlib.getUseridList('#all')
	for UserID in List:
		es.setplayerprop(UserID, "CBaseEntity.m_CollisionGroup", 5)